#
# spec file for package netboot (Version 0.8.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         netboot
Copyright:    GPL
Group:        Networking/Utilities
Url:		http://www.han.de/~gero/netboot.html
Provides:     netboot 
Autoreqprov:  on
Version:      0.8.1
Release:      318
Summary:      Boot a diskless PC using a TCP/IP based ethernet network
Source:       http://www.han.de:80/~gero/netboot/files/netboot-%{version}.tar.gz
Patch:        netboot.dif
BuildRoot: 	/tmp/netboot-%{version}-root

%description
Features:
- Booting a diskless client either from an EPROM
or from a floppy without additional utility tools
- The Bootrom code can use many standard DOS packet
drivers and therefore supports almost any PC
network card.
- Easy configuration of the bootrom under UNIX
- The bootrom can load a BOOTP vendor extension
file in order to support more space for tags
according to RFC 1533
- Using the bootrom menu support it's possible to
optionally boot different operating systems.
- Even if there is a hard disk installed in the
client computer, he bootrom can be used as a
boot manager, since it also allows booting from
any partition.
- Cross-gateway booting
- Bootrom runs on any 80x86 processor but is
optimized for the 386+.
- Able to boot different operating systems. Linux
and MS-DOS (and clones) are currently supported.

Authors:
--------
    Gero Kuhlmann <gero@gkminix.han.de>

SuSE series: n

%prep
%setup -n netboot
%patch

%build
./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib/netboot
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/man/man{1,2,3,4,5,8}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 misc/netboot.db.sample $RPM_BUILD_ROOT/usr/lib/netboot/netboot.db 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README doc/*
/usr/bin/makerom
/usr/bin/mknbi-dos
/usr/bin/mknbi-linux
/usr/bin/mknbi-mgl
/usr/share/man/man5/netboot.config.5.gz
/usr/share/man/man8/mknbi-linux.8.gz
/usr/share/man/man8/mknbi-mgl.8.gz
/usr/share/man/man8/makerom.8.gz
/usr/share/man/man8/mknbi-dos.8.gz
%dir /usr/lib/netboot
%dir /usr/lib/netboot/binaries
/usr/lib/netboot/binaries/floppy.bin
/usr/lib/netboot/binaries/floppy86.bin
/usr/lib/netboot/binaries/kernel.bin
/usr/lib/netboot/binaries/kernel86.bin
/usr/lib/netboot/binaries/kernelm.bin
/usr/lib/netboot/binaries/rom.bin
/usr/lib/netboot/binaries/rom86.bin
%dir /usr/lib/netboot/netdrvr
/usr/lib/netboot/netdrvr/3c501.com
/usr/lib/netboot/netdrvr/3c503.com
/usr/lib/netboot/netdrvr/3c509.com
/usr/lib/netboot/netdrvr/arcether.com
/usr/lib/netboot/netdrvr/dc21x4.com
/usr/lib/netboot/netdrvr/e100bpkt.com
/usr/lib/netboot/netdrvr/ne1000.com
/usr/lib/netboot/netdrvr/ne2000.com
/usr/lib/netboot/netdrvr/ne2100.com
/usr/lib/netboot/netdrvr/smc_wd.com
%dir /usr/lib/netboot/utils
/usr/lib/netboot/utils/ansidrv.com
/usr/lib/netboot/utils/pktwatch.com
/usr/lib/netboot/utils/romcheck.bin
/usr/lib/netboot/utils/rmrd.com

%changelog -n netboot
* Thu Jan 04 2001 - nashif@suse.de
- Fixed bug #4977
* Sat Apr 22 2000 - nashif@suse.de
- Modified group, url, buildroot
- spec cleanup
* Fri Mar 31 2000 - nadvornik@suse.cz
- removed directories owned by aaa_dir
* Fri Feb 04 2000 - nashif@suse.de
- Moved manpages to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - ro@suse.de
- bracket calls of strcmp in mglparse.y
  (disable broken optimization with glibc-2.1)
* Thu Feb 04 1999 - grimmer@suse.de
- Initial Version (0.8.1)
